Amazon Linux 2:java-11-amazon-corretto (ALAS-2022-1823)

high Nessus 插件 ID 163322

简介

远程 Amazon Linux 2 主机缺少安全更新。

描述

远程主机上安装的 java-11-amazon-corretto 版本低于 11.0.16+8-1。因此,它受到 ALAS2-2022-1823 公告中提及的多个漏洞影响。

- Oracle Java SE 的 Oracle Java SE、Oracle GraalVM Enterprise Edition 产品中的漏洞(组件:Hotspot)。受影响的支持版本有 Oracle Java SE:7u343、8u333、11.0.15.1、17.0.3.1、18.0.1.1;Oracle GraalVM Enterprise Edition:20.3.6、21.3.2 和 22.1.0。此漏洞较容易受到攻击,其允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Oracle Java SE 和 Oracle GraalVM Enterprise Edition。成功攻击此漏洞可能导致在未经授权的情况下,即可读取访问 Oracle Java SE 和 Oracle GraalVM Enterprise Edition 的可访问数据子集。
注意:此漏洞适用于需加载并运行不可信代码(如来自互联网的代码)且安全性依赖于 Java 沙盒的 Java 部署,该部署通常在需在沙盒中运行 Java Web Start 应用程序或需在沙盒中运行 Java 小程序的客户端上。此漏洞也可通过使用指定组件中的 API 加以利用,如通过向 API 提供数据的 Web 服务。CVSS 3.1 基本分数 5.3(机密性影响)。CVSS 向量:(CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N)。
(CVE-2022-21540)

- Oracle Java SE 的 Oracle Java SE、Oracle GraalVM Enterprise Edition 产品中的漏洞(组件:Hotspot)。受影响的支持版本有 Oracle Java SE:7u343、8u333、11.0.15.1、17.0.3.1、18.0.1.1;Oracle GraalVM Enterprise Edition:20.3.6、21.3.2 和 22.1.0。此漏洞较难受到攻击,其允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Oracle Java SE 和 Oracle GraalVM Enterprise Edition。成功攻击此漏洞可导致在未经授权的情况下创建、删除或修改重要数据或 Oracle Java SE 和 Oracle GraalVM Enterprise Edition 可访问的所有数据。注意:此漏洞适用于需加载并运行不可信代码(如来自互联网的代码)且安全性依赖于 Java 沙盒的 Java 部署,该部署通常在需在沙盒中运行 Java Web Start 应用程序或需在沙盒中运行 Java 小程序的客户端上。此漏洞也可通过使用指定组件中的 API 加以利用,如通过向 API 提供数据的 Web 服务。CVSS 3.1 基本分数 5.9(完整性影响)。CVSS 向量:
(CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N)。(CVE-2022-21541)

- 处理恶意 XSLT 样式表时,Apache Xalan Java XSLT 库容易受到整数截断问题的影响。攻击者可借此损坏内部 XSLTC 编译器生成的 Java 类文件并执行任意 Java 字节码。Apache Xalan Java 项目处于休眠状态,即将淘汰。预计未来不会有 Apache Xalan Java 版本来解决此问题。注意:Java 运行时(如 OpenJDK)包含重新打包的 Xalan 副本。(CVE-2022-34169)

请注意,Nessus 尚未测试这些问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

运行“yum update java-11-amazon-corretto”以更新系统。

另见

https://alas.aws.amazon.com/AL2/ALAS-2022-1823.html

https://alas.aws.amazon.com/cve/html/CVE-2022-21540.html

https://alas.aws.amazon.com/cve/html/CVE-2022-21541.html

https://alas.aws.amazon.com/cve/html/CVE-2022-34169.html

插件详情

严重性: High

ID: 163322

文件名: al2_ALAS-2022-1823.nasl

版本: 1.8

类型: local

代理: unix

发布时间: 2022/7/21

最近更新时间: 2022/12/8

支持的传感器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent, Nessus

风险信息

VPR

风险因素: Medium

分数: 4.4

CVSS v2

风险因素: High

基本分数: 7.8

时间分数: 6.1

矢量: CVSS2#AV:N/AC:L/Au:N/C:N/I:C/A:N

CVSS 分数来源: CVE-2022-34169

CVSS v3

风险因素: High

基本分数: 7.5

时间分数: 6.7

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

时间矢量: CVSS:3.0/E:P/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:amazon:linux:java-11-amazon-corretto, p-cpe:/a:amazon:linux:java-11-amazon-corretto-headless, p-cpe:/a:amazon:linux:java-11-amazon-corretto-javadoc, cpe:/o:amazon:linux:2

必需的 KB 项: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

可利用: true

易利用性: Exploits are available

补丁发布日期: 2022/7/19

漏洞发布日期: 2022/7/19

参考资料信息

CVE: CVE-2022-21540, CVE-2022-21541, CVE-2022-34169

IAVA: 2022-A-0287-S